Name:           rygel
Version:        0.8.3
Release:        %mkrel 1
Summary:        A UPnP v2 Media Server
Group:          Sound
License:        LGPLv2+
URL:            http://live.gnome.org/Rygel
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.4/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: dbus-glib-devel
BuildRequires: libgstreamer-devel >= 0.10.28
BuildRequires: gtk2-devel
BuildRequires: gupnp-devel >= 0.13.4
BuildRequires: gupnp-av-devel >= 0.5.9
BuildRequires: gupnp-dlna-devel >= 0.3
BuildRequires: gupnp-vala >= 0.6.11
BuildRequires: libgee-devel >= 0.5
BuildRequires: libsoup-devel >= 2.26.0
BuildRequires: libuuid-devel >= 1.41.3
BuildRequires: libxml2-devel
BuildRequires: sqlite3-devel >= 3.5
BuildRequires: vala-devel >= 0.9.5
BuildRequires: vala-tools
BuildRequires: intltool

%description
Rygel is an implementation of the UPnP MediaServer V 2.0 specification that is 
specifically designed for GNOME. It is based on GUPnP and is written (mostly) 
in Vala language. The project was previously known as gupnp-media-server. 

%package devel
Summary: Development package for %{name}
Group: Development/Other
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package tracker
Summary: Tracker plugin for %{name}
Group: Sound
Requires: %{name} = %{version}-%{release}
Requires: tracker

%description tracker
A plugin for rygel to use tracker to locate media on the local machine.

%prep
%setup -q

%build
%configure2_5x --enable-tracker-plugin --disable-media-export-plugin --enable-external-plugin --enable-mediathek-plugin --disable-silent-rules 
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %name

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO NEWS
%config(noreplace) %{_sysconfdir}/rygel.conf
%{_bindir}/rygel
%{_bindir}/rygel-preferences
%dir %{_libdir}/rygel-1.0
%{_libdir}/rygel-1.0/librygel-external.so
%{_libdir}/rygel-1.0/librygel-mediathek.so
%{_libdir}/rygel-1.0/librygel-mpris.so
%{_libdir}/rygel-1.0/librygel-playbin.so
%{_datadir}/rygel
%{_datadir}/applications/rygel*
%{_iconsdir}/*/*/*/*
%{_mandir}/man?/*
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service

%files tracker
%defattr(-,root,root,-)
%{_libdir}/rygel-1.0/librygel-media-tracker.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/rygel-1.0
%{_libdir}/pkgconfig/rygel-1.0.pc
%{_datadir}/vala/vapi/rygel-1.0.deps
%{_datadir}/vala/vapi/rygel-1.0.vapi



%changelog
* Mon Apr 18 2011 Funda Wang <fwang@mandriva.org> 0.8.3-1mdv2011.0
+ Revision: 655774
- new version  0.8.3

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.12-2mdv2011.0
+ Revision: 614801
- the mass rebuild of 2010.1 packages

* Thu Apr 22 2010 Frederic Crozat <fcrozat@mandriva.com> 0.4.12-1mdv2010.1
+ Revision: 537959
- Release 0.4.12 (stable branch)
- Remove patch0 (merged upstream)

* Sat Dec 26 2009 Frederic Crozat <fcrozat@mandriva.com> 0.4.2-2mdv2010.1
+ Revision: 482405
- Patch0 (GIT): add support for libgee 0.5

* Sun Oct 04 2009 Colin Guthrie <cguthrie@mandriva.org> 0.4.2-1mdv2010.0
+ Revision: 453272
- Fix group. I've used Sound, but it's really more Multimedia but we don't have a category for that :s
- import rygel


* Fri Oct  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.2-1
- Update to 0.4.2

* Fri Sep 25 2009 Bastien Nocera <bnocera@redhat.com> 0.4.1-1
- Update to 0.4.1

* Thu Sep 24 2009 Bastien Nocera <bnocera@redhat.com> 0.4-5
- Make sure we rebuild the C source code from vala sources

* Thu Sep 24 2009 Bastien Nocera <bnocera@redhat.com> 0.4-4
- Make the prefs work

* Thu Sep 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-3
- Enable new plugins, add desktop file verification, add more docs

* Thu Sep 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-2
- Update deps for new release

* Wed Sep 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- New upstream 0.4 release

* Thu Aug 20 2009 Michel Salim <salimma@fedoraproject.org> - 0.3-6
- Rebuild against compat-libgee01

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-5
- Own rygel include dir, some spec file cleanups

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  1 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-3
- Rebuild with new libuuid build req

* Wed Jun  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-2
- Split tracker plugin out to a sub package. Resolves RHBZ 507032

* Wed Jun  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-1
- New upstream release

* Mon Mar 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-3
- Add a dep on tracker as that is currently the way it finds media

* Mon Mar 2  2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-2
- Added some missing BuildReqs

* Mon Mar 2  2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-1
- Initial release
